Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.javacode
Class ProjectBasedJavaCodeGeneratorOptions

    java.lang.Object
      edu.stanford.smi.protegex.owl.javacode.ProjectBasedJavaCodeGeneratorOptions

All Implemented Interfaces:
  EditableJavaCodeGeneratorOptions, JavaCodeGeneratorOptions

    public class ProjectBasedJavaCodeGeneratorOptions

extends Object
implements EditableJavaCodeGeneratorOptions

Author:
  Holger Knublauch

Field Summary
`static String` | `ABSTRACT_MODE`
`static String` | `FACTORY_CLASS_NAME`
`static String` | `FILE_NAME`
`static String` | `PACKAGE`
`static String` | `PREFIX_MODE`
`static String` | `SET_MODE`

Constructor Summary
`ProjectBasedJavaCodeGeneratorOptions(OWLModel owlModel)`

Method Summary
`boolean` | `getAbstractMode()`
`String` | `getFactoryClassName()`
`File` | `getOutputFolder()`
`String` | `getPackage()`
`boolean` | `getPrefixMode()`
`boolean` | `getSetMode()`
`void` | `setAbstractMode(boolean value)`
`void` | `setFactoryClassName(String value)`
`void` | `setOutputFolder(File file)`
`void` | `setPackage(String value)`
`void` | `setPrefixMode(boolean value)`
`void` | `setSetMode(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABSTRACT_MODE

    public static final String ABSTRACT_MODE

See Also:
  Constant Field Values

### FACTORY_CLASS_NAME

    public static final String FACTORY_CLASS_NAME

See Also:
  Constant Field Values

### FILE_NAME

    public static final String FILE_NAME

See Also:
  Constant Field Values

### PACKAGE

    public static final String PACKAGE

See Also:
  Constant Field Values

### SET_MODE

    public static final String SET_MODE

See Also:
  Constant Field Values

### PREFIX_MODE

    public static final String PREFIX_MODE

See Also:
  Constant Field Values

Constructor Detail

### ProjectBasedJavaCodeGeneratorOptions

    public ProjectBasedJavaCodeGeneratorOptions(OWLModel owlModel)

Method Detail

### getAbstractMode

    public boolean getAbstractMode()

  Specified by:
    `getAbstractMode` in interface `JavaCodeGeneratorOptions`

### getFactoryClassName

    public String getFactoryClassName()

  Specified by:
    `getFactoryClassName` in interface `JavaCodeGeneratorOptions`

### getOutputFolder

    public File getOutputFolder()

  Specified by:
    `getOutputFolder` in interface `JavaCodeGeneratorOptions`

### getPackage

    public String getPackage()

  Specified by:
    `getPackage` in interface `JavaCodeGeneratorOptions`

### getSetMode

    public boolean getSetMode()

  Specified by:
    `getSetMode` in interface `JavaCodeGeneratorOptions`

### getPrefixMode

    public boolean getPrefixMode()

  Specified by:
    `getPrefixMode` in interface `JavaCodeGeneratorOptions`

### setAbstractMode

    public void setAbstractMode(boolean value)

  Specified by:
    `setAbstractMode` in interface `EditableJavaCodeGeneratorOptions`

### setOutputFolder

    public void setOutputFolder(File file)

  Specified by:
    `setOutputFolder` in interface `EditableJavaCodeGeneratorOptions`

### setFactoryClassName

    public void setFactoryClassName(String value)

  Specified by:
    `setFactoryClassName` in interface `EditableJavaCodeGeneratorOptions`

### setPackage

    public void setPackage(String value)

  Specified by:
    `setPackage` in interface `EditableJavaCodeGeneratorOptions`

### setSetMode

    public void setSetMode(boolean value)

  Specified by:
    `setSetMode` in interface `EditableJavaCodeGeneratorOptions`

### setPrefixMode

    public void setPrefixMode(boolean value)

  Specified by:
    `setPrefixMode` in interface `EditableJavaCodeGeneratorOptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.